Skip to content
For LLMsView as Markdown·

Rotate connection credentials ​

http
PUT https://api.onehazel.com/onehazel-api/connections/{connectionId}/credentials

Section: Connections
Operation id: putConnectionsByConnectionIdCredentials

Authentication ​

Operator API key (oh_live_...) or a signed-in session token, as a bearer token.

Parameters ​

NameInRequiredDescription
connectionIdpathyes

Request body ​

JSON object.

Responses ​

200 { "success": true, "data": ... }

Errors return { "success": false, "error": { "code": "...", "message": "..." } } with a 4xx or 5xx status.

Example ​

bash
curl -X PUT "https://api.onehazel.com/onehazel-api/connections/{connectionId}/credentials" \
  -H "Authorization: Bearer oh_live_YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{}'

Machine-readable: openapi.yaml, openapi.json.